<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Str;

class DatabaseSeeder extends Seeder
{

    public function run()
    {
        \App\Models\User::factory()->create([
            'name' => Str::random(10),
            'email' => Str::random(10) . '@gmail.com',
            'password' => Hash::make('password'),
            'role' => 'analyst',
        ]);
        \App\Models\User::factory()->create([
            'name' => Str::random(10),
            'email' => Str::random(10) . '@gmail.com',
            'password' => Hash::make('password'),
            'role' => 'common',
        ]);
        \App\Models\Category::factory()->create([
            'name' => 'phone',
        ]);
        \App\Models\Retailer::factory()->create([
            'name' => 'Starship',
        ]);

        \App\Models\Product::factory()->create([
            'name' => Str::random(10),
            'description' => Str::random(10),
            'price' => 300,
            'sku' => '000000',
            'retailer_id' => \App\Models\Retailer::pluck('id')->first(),
        ])->categories()->attach(\App\Models\Category::pluck('id')->first());
    }
}
